<!-- $o = Account::class -->
<!-- Show past 12 months invoices -->
<div class="card card-success">
	<div class="card-header">
		<h3 class="card-title">Past Invoices</h3>
	</div>

	<div class="card-body">
		@if(($x=$o->invoices->where('created_at','>',\Carbon\Carbon::now()->subMonths(12))->where('due','<=',0))->count())
			<table class="table table-bordered w-100" id="invoices_past_{{ $o->id }}">
				<thead>
				<tr>
					<th>Account</th>
					<th>#</th>
					<th>Issued</th>
					<th>Paid</th>
					<th class="text-right">Total</th>
				</tr>
				</thead>

				<tbody>
				@foreach ($x as $oo)
					<tr>
						<td>{{ $oo->account->name }}</td>
						<td><a href="{{ url('u/invoice',$oo->id) }}">{{ $oo->sid }}</a></td>
						<td>{{ $oo->created_at->format('Y-m-d') }}</td>
						<td>{{ $oo->paid_date ? $oo->paid_date->format('Y-m-d') : '' }}</td>
						<td class="text-right">${{ number_format($oo->total,2) }}</td>
					</tr>
				@endforeach
				</tbody>
			</table>

		@else
			<p>No invoices to list</p>
		@endif
	</div>
</div>

@section('page-scripts')
	@css(datatables,bootstrap4|rowgroup)
	@js(datatables,bootstrap4|rowgroup)

	<script type="text/javascript">
		@if ($x->count())
			$(document).ready(function() {
				$('#invoices_past_{{ $o->id }}').DataTable({
					order: [[2,'desc'],[0,'asc']],
					rowGroup: {
						dataSrc: 0,
					},
					columnDefs: [
						{
							targets: [0],
							visible: false,
						}
					],
				});
			});
		@endif
	</script>
@append