<!-- $o = Service::class, $p = Product::class -->
@php($c=$o->product)
<table class="table table-sm">
	<thead>
	<tr>
		<th>&nbsp;</th>
		<th class="text-center" colspan="2">This Plan</th>
		<th>&nbsp;</th>
		@if($p->exists)
			<th class="text-center" colspan="2">Proposed Plan</th>
			<th>&nbsp;</th>
		@endif
	</tr>
	<tr>
		<th>&nbsp;</th>
		<th>Client</th>
		<th>Supplier</th>
		<th>&nbsp;</th>
		@if($p->exists)
			<th>Client</th>
			<th>Supplier</th>
			<th>&nbsp;</th>
		@endif
	</tr>
	</thead>

	<tbody>
    <tr>
        <th>Product</th>
		<td class="text-center" colspan="2">#{{ $c->supplied->id }}: {{ $c->supplied->name_long }}</td>
		@if ($p->exists)
			<th>&nbsp;</th>
			<td class="text-center" colspan="2">#{{ $p->supplied->id }}: {{ $p->supplied->name_long }}</td>
		@endif
		<td>{{ $c->category_name }}</td>
    </tr>

	<tr>
		<th>Setup</th>
		<td>${{ number_format($b=$o->account->taxed($c->setup_charge),2) }}</td>
		<td>${{ number_format($a=$o->account->taxed($c->setup_cost),2) }}</td>
		<td>{!! markup($a,$b) !!}</td>
		@if ($p->exists)
			<td>${{ number_format($b=$o->account->taxed($p->setup_charge),2) }}</td>
			<td>${{ number_format($a=$o->account->taxed($p->setup_cost),2) }}</td>
			<td>{!! markup($a,$b) !!}</td>
		@endif
	</tr>

	<tr>
		<th>Billed</th>
		<td>{{ $o->billing_interval_string }}</td>
		<td>{{ $c->type->billing_interval_string }}</td>
		<td>&nbsp;</td>
		@if ($p->exists)
			<td>{{ $o->billing_interval_string }}</td>
			<td>{{ $p->type->billing_interval_string }}</td>
			<td>&nbsp;</td>
		@endif
	</tr>

	<tr>
		<th>Billing Price</th>
		<td @if($o->isChargeOverriden())class="text-danger"@endif>${{ number_format($b=$o->billing_charge,2) }}</td>
		<td>${{ number_format($a=$o->account->taxed($c->base_cost),2) }}</td>
		<td>{!! markup($a,$b) !!}</td>
		@if ($p->exists)
			<td @if($o->isChargeOverriden())class="text-danger"@endif>${{ number_format($b=$o->account->taxed($p->base_charge),2) }}</td>
			<td>${{ number_format($a=$o->account->taxed($p->base_cost),2) }}</td>
			<td>{!! markup($a,$b) !!}</td>
		@endif
	</tr>

	<tr>
		<th>Monthly Price</th>
		<td @if($x=$o->isChargeOverriden()) class="text-danger" @endif>
			@if($x)
				<abbr title="${{ number_format($b=$o->account->taxed($c->base_charge)*\App\Models\Invoice::billing_change($o->billing_interval,\App\Models\Invoice::BILL_MONTHLY),2) }}">${{ number_format($b=$o->billing_monthly_price,2) }}
			@else
				{{ number_format($b=$o->account->taxed($c->base_charge)*\App\Models\Invoice::billing_change($o->billing_interval,\App\Models\Invoice::BILL_MONTHLY),2) }}
			@endif
		</td>
		<td>${{ number_format($a=$o->account->taxed($c->base_cost)*\App\Models\Invoice::billing_change($o->billing_interval,\App\Models\Invoice::BILL_MONTHLY),2) }}</td>
		<td>{!! markup($a,$b) !!}</td>
		@if ($p->exists)
			<td @if($x=$o->isChargeOverriden()) class="text-danger" @endif>${{ number_format($b=$o->account->taxed($p->base_charge)*\App\Models\Invoice::billing_change($o->billing_interval,\App\Models\Invoice::BILL_MONTHLY),2) }}</td>
			<td>${{ number_format($a=$o->account->taxed($p->base_cost)*\App\Models\Invoice::billing_change($o->billing_interval,\App\Models\Invoice::BILL_MONTHLY),2) }}</td>
			<td>{!! markup($a,$b) !!}</td>
		@endif
	</tr>

	<tr>
		<th>Contract</th>
		<td>{{ $o->contract_term }} months</td>
		<td>{{ $c->supplied->contract_term }} months</td>
		<td>&nbsp;</td>
		@if ($p->exists)
			<td>{{ $p->contract_term }} months</td>
			<td>{{ $p->supplied->contract_term }} months</td>
			<td>&nbsp;</td>
		@endif
	</tr>

	<tr>
		<th>Min Price</th>
		<!-- @todo change this to $o->min_charge when implemented -->
		<td>${{ number_format($b=$o->account->taxed($o->product->min_charge),2) }}</td>
		<td>${{ number_format($a=$o->account->taxed($c->supplied->min_cost),2) }}</td>
		<td>{!! markup($a,$b) !!}</td>
		@if ($p->exists)
			<td>${{ number_format($a=$o->account->taxed($p->min_charge),2) }}</td>
			<td>${{ number_format($a=$o->account->taxed($p->supplied->min_cost ?? 0),2) }}</td>
			<td>{!! markup($a,$b) !!}</td>
		@endif
	</tr>
	</tbody>
</table>